<?php
@ini_set("display_errors","On");
@error_reporting(E_ALL & ~E_NOTICE);

//备份数据库
/*
if(file_exists('../common/Config.inc.php'))
{
	include_once("../common/Config.inc.php");
}
else
{
	$error_db = 1;
}*/

if(!ini_get("register_globals") ){
	foreach($_POST as $cc_postkey => $cc_postval){
		if(is_array($cc_postval)){
			${$cc_postkey} = array();
			foreach($cc_postval as $cc_postitem){
				if($noslashe) ${$cc_postkey}[] = addslashes($cc_postitem);
				else ${$cc_postkey}[] = $cc_postitem;
			}
		}else{
			if($noslashe) ${$cc_postkey} = addslashes($cc_postval);
			else ${$cc_postkey} = $cc_postval;
		}
	}

	foreach($_GET as $cc_getkey => $cc_getval){
		if(is_array($cc_getval)){
			${$cc_getval} = array();
			foreach($cc_getval as $cc_getitem){
				if($noslashe) ${$cc_getkey}[] = addslashes($cc_getitem);
				else ${$cc_getkey}[] = $cc_getitem;
			}
		}else{
			if($noslashe) ${$cc_getkey} = addslashes($cc_getval);
			else ${$cc_getkey} = $cc_getval;
		}
	}
}
if($step=='')$step = 'begin';
?>
<html>
<head>
<title>耐思尼克API代理整站平台安装程序</title>
<meta http-equiv="Content-Type" content="text/html; charset=gb2312">
<LINK href="../admin/share/style.css" type=text/css rel=stylesheet>
<style>
body{line-height:180%;}
td{line-height:180%;}
#title{font-size:16px;font-weight:bold;}
#left li{float:left;margin-right:20px;font-size:14px;font-weight:bold;}
.green{color:#009900;}
#bottom{border-top:0;text-align:center;color:#666666;padding-top:20px;}
.inputline td{border-bottom:1px solid #cccccc;padding:5px 5px 5px 5px;}
</style>
</head>
<BODY style="width:100%;text-align:Center;padding:20px 0px 0px 0px;">
<div style="position:absolute;left:0;top:0;z-index:-10;width:100%;height:100%;"><img src="../admin/images/lback.png" width="100%" height="100%"></div>
<div id="title">耐思尼克API代理整站平台升级程序</div>
<div style="width:90%;margin:0 auto;padding:20px;border:1px solid #cbcbcb;margin-top:20px;border-top-width:3px;background:#eeeeee;">
<div id="left">
<ul>
	<li class=<?=$step=='begin'?"green":""?>>1.开始</li>
    <!--<li class=<?=$step=='save'?"green":""?>>2.系统备份</li>-->
	<li class=<?=$step=='syscheck'?"green":""?>>2.系统检测</li>
	<li class=<?=$step=='initdata'?"green":""?>>3.数据升级</li>
	<li class=<?=$step=='sysset'?"green":""?>>4.系统设置</li>
</ul>
</div>
<? 

	if(file_exists($step.'.inc.php')) require($step.'.inc.php');

?>
</div>

<div id="bottom">&copy; <?=date("Y")?> Copy Right By <a href="http://www.nicenic.com" target="_blank">Nicenic.com</a>, Inc</div>
</body>
</html>
